aboutsummaryrefslogtreecommitdiffstats
path: root/Retesteth/parity/parity.sh
diff options
context:
space:
mode:
Diffstat (limited to 'Retesteth/parity/parity.sh')
-rwxr-xr-xRetesteth/parity/parity.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/Retesteth/parity/parity.sh b/Retesteth/parity/parity.sh
new file mode 100755
index 000000000..832408801
--- /dev/null
+++ b/Retesteth/parity/parity.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+onexit()
+{
+ kill $child
+}
+trap onexit SIGTERM
+trap onexit SIGABRT
+
+##ARGUMENTS PASSED BY RETESTETH
+##
+## $1 <db-path> A path to database directory that a client should use
+## $2 <ipcpath> A path to the ipc socket file (has /geth.ipc at the end)
+#####
+
+eth --test --db-path $1 --ipcpath $2 --log-verbosity 5 &
+child=$!
+wait "$child"